Changeset 14565


Ignorieren:
Zeitstempel:
03.12.2017 14:48:49 (vor 7 Tagen)
Autor:
Whoopie
Nachricht:

wireguard: only depend on 'replace kernel' if crypto blkcipher is not built-in.

Datei:
1 bearbeitet

Legende:

Unverändert
Hinzugefügt
Entfernt
  • trunk/make/wireguard/Config.in

    r14563 r14565  
    11comment "WireGuard (not available, needs replace kernel)" 
    2     depends on !FREETZ_REPLACE_KERNEL 
     2    depends on !FREETZ_REPLACE_KERNEL && !FREETZ_AVM_HAS_CRYPTO_BLKCIPHER_BUILTIN 
    33 
    44config FREETZ_PACKAGE_WIREGUARD 
    55    bool "WireGuard 0.0.20171127" 
    6     depends on FREETZ_KERNEL_VERSION_3_10_MIN && FREETZ_REPLACE_KERNEL 
     6    depends on FREETZ_KERNEL_VERSION_3_10_MIN && (FREETZ_AVM_HAS_CRYPTO_BLKCIPHER_BUILTIN || FREETZ_REPLACE_KERNEL) 
    77    default n 
    88    select FREETZ_BUSYBOX_IP 
Hinweis: Hilfe zur Verwendung der Changeset-Ansicht finden Sie unter TracChangeset.